import choco.Problem;
import choco.Constraint;
import choco.Solver;
import choco.Solution;
import choco.Problem;
import choco.Constraint;
import choco.Solver;
import choco.Solution;
import choco.ContradictionException;
import choco.integer.IntVar;
import choco.search.AssignVar;

import java.io.*;
import java.lang.*;
import java.util.*;

public class MyTest {	
   

    public static void main(String[] args) throws Exception,ContradictionException,FileNotFoundException,IOException {
	Dict d = new Dict();
	Tree t1 = new Tree(args[0],d);
	Tree t2 = new Tree(args[1],d);
	Tree t3 = t2;

	System.out.println(t1 == t2);
	System.out.println(t2 == t3);
	System.out.println(t2 == t2);
	System.out.println(t1.equals(t2));
	System.out.println(t2.equals(t3));
	System.out.println(t2.equals(t2));

    }
}
	    
